Bug 1238846 - CVE-2015-1867 pacemaker: acl read-only access allow role assignment [fedora-all]
Summary: CVE-2015-1867 pacemaker: acl read-only access allow role assignment [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pacemaker
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F23FinalFreezeException CVE-2015-1867
TreeView+ depends on / blocked
 
Reported: 2015-07-02 19:28 UTC by Kurt Seifried
Modified: 2015-11-01 22:18 UTC (History)
4 users (show)

Fixed In Version: pacemaker-1.1.13-3.fc22 pacemaker-1.1.13-3.fc23 pacemaker-1.1.13-3.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-31 16:08:39 UTC
Type: ---


Attachments (Terms of Use)

Description Kurt Seifried 2015-07-02 19:28:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2015-07-02 19:28:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1211370,1238846

# Description of your update
notes=Security fix for CVE-2015-1867

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1211370,1238846

Comment 2 Fedora Update System 2015-10-19 20:59:36 UTC
pacemaker-1.1.13-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5e36bbb87

Comment 3 Fedora Update System 2015-10-19 20:59:40 UTC
pacemaker-1.1.13-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f9864ecd8f

Comment 4 Fedora Update System 2015-10-20 03:49:00 UTC
pacemaker-1.1.13-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pacemaker'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5e36bbb87

Comment 5 Fedora Update System 2015-10-20 04:22:12 UTC
pacemaker-1.1.13-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pacemaker'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f6860d8f9d

Comment 6 Fedora Update System 2015-10-20 21:58:15 UTC
pacemaker-1.1.13-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pacemaker'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f9864ecd8f

Comment 7 Adam Williamson 2015-10-22 18:06:19 UTC
Discussed at 2015-10-22 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-22/f23-fe-review.2015-10-22-17.30.log.txt . Accepted as a freeze exception issue, as this is a security issue in a package shipped on the Server DVD - always good to fix security issues in the frozen package set if we can.

Comment 8 Jan Pokorný [poki] 2015-10-22 18:12:54 UTC
Thanks Adam!

Comment 9 Fedora Update System 2015-10-23 17:18:51 UTC
pacemaker-1.1.13-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Adam Williamson 2015-10-23 22:44:36 UTC
Re-opening as we're tracking this as an FE for F23, we need to make sure it goes to F23 stable.

Comment 11 Fedora Update System 2015-10-31 16:08:37 UTC
pacemaker-1.1.13-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-01 22:18:48 UTC
pacemaker-1.1.13-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.